proxies:
  - name: "Haoxin-US"
    type: vless
    server: 100.70.182.11
    port: 23456
    uuid: a3e0bcc1-76e8-4664-a404-72b539bae1f8
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: www.microsoft.com
    client-fingerprint: chrome
    reality-opts:
      public-key: DpDhTkszL0WLt112-XXW67Bx5WuMyk48c3bQgi7YcgA
      short-id: "01ab23cd"

proxy-groups:
  - name: "PROXY"
    type: select
    proxies:
      - Haoxin-US
      - DIRECT

rules:
  - GEOIP,CN,DIRECT
  - MATCH,PROXY
